﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Install.aspx.cs" Inherits="ControlPanel.Install" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h1>Installing <asp:Literal ID="TitleText" runat="server" />, version <asp:Literal ID="VersionText" runat="server" /></h1>

    <asp:Panel ID="ErrorPanel" runat="server" Visible="false">
        <h3 class="validation-summary-errors">Error:</h3>
        <div><asp:Literal ID="ErrorText" runat="server" /></div>
    </asp:Panel>
    
    <asp:Panel ID="SuccessPanel" runat="server" Visible="false">
        <h3>Success!</h3>
        <p>The application has been successfull installed.</p>
        <p>Return to <asp:HyperLink runat="server" NavigateUrl="Default.aspx">Application List</asp:HyperLink></p>
    </asp:Panel>

    <asp:Panel ID="ParameterPanel" runat="server">
        <h3>Server to install to:</h3>
        
        <asp:ListView ID="ServerList" runat="server">
            <LayoutTemplate>
                <asp:PlaceHolder runat="server" ID="itemPlaceholder" />
            </LayoutTemplate>
            <ItemTemplate>
                <div class="property-edit">
                    <div>Site name</div>
                    <div>
                        <asp:TextBox ID="SiteName" runat="server" Text='<%# Bind("SiteName") %>' />
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator" runat="server" ControlToValidate="SiteName" Text="* Required" />
                    </div>
                </div>
                <div class="property-edit">
                    <div>Username</div>
                    <div>
                        <asp:TextBox ID="Username" runat="server" Text='<%# Bind("Username") %>' />
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="Username" Text="* Required" />
                    </div>
                </div>
                <div class="property-edit">
                    <div>Password</div>
                    <div>
                        <asp:TextBox ID="Password" runat="server" TextMode="Password" Text='<%# Bind("Password") %>' />
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="Password" Text="* Required" />
                    </div>
                </div>
            </ItemTemplate>
        </asp:ListView>
        
        <asp:ListView ID="ParameterList" runat="server" OnItemDataBound="ParameterList_OnItemDataBound">
            <LayoutTemplate>
                <h3>Application Parameters:</h3>
                <asp:PlaceHolder runat="server" ID="itemPlaceholder" />
            </LayoutTemplate>
            <ItemTemplate>
                <div class="property-edit">
                    <div><%# Server.HtmlEncode(Eval("Name").ToString()) %></div>
                    <div>                                                
                        <asp:TextBox ID="ValueTextBox" runat="server" Text='<%# Bind("Value") %>' />                        
                        <asp:DropDownList ID="ValueDropDownList" runat="server" DataSource='<%# Eval("ValidationValues") %>' Visible='false' />
                        <asp:CheckBox ID="ValueCheckBox" runat="server" Checked='<%# Bind("Boolean") %>' Visible='false'/> 
                        <asp:HiddenField ID="NameHidden" runat="server" Value='<%# Bind("Name") %>' />
                        <asp:CheckBox ID="IsBoolHiddenCheckBox" runat="server" Checked='<%# Bind("IsBoolean") %>' Visible='false'/> 
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator" runat="server" ControlToValidate="ValueTextBox" Text="* Required" Enabled='<%# !(bool)Eval("AllowEmpty") %>' />
                        <asp:RegularExpressionValidator ID="RegExValidator" runat="server" ControlToValidate="ValueTextBox" ErrorMessage='<%# "* Invalid Format. Format must match: " + Eval("RegEx") %>' ValidationExpression='<%# Eval("RegEx") %>' Enabled='<%#!string.IsNullOrEmpty((string)Eval("RegEx"))%>' />                      
                    </div>
                    <div class="description"><%# Server.HtmlEncode(Eval("Description").ToString()) %></div>
                </div>
            </ItemTemplate>
        </asp:ListView>

        <asp:Button ID="InstallButton" runat="server" Text="  Install  " OnClick="InstallButton_Click" />
    </asp:Panel>
</asp:Content>